Skip to content
  • Request token(s)

    Request

    Generate a secure, temporary token for use with Melissa Cloud APIs.

    Query
    IPstring

    This is added security. Specifying an IP Address for tokens will require that any service using the generated token must be sent from the same encoded IP Address.

    A mismatch between the encoded token IP Address and the client IP Address will result in a GE13 error.

    Example:IP=
    Lstring, (password)required

    Required. The License Key issued by Melissa.

    Example:L={REPLACE-WITH-YOUR-LICENSE-KEY}
    Pstringrequired

    Required. Specifies which package(s) the token should be generated for. Delimit multiple packages with a comma ,. Default is all packages.

    Cicero
    • CiceroAPI
    • CiceroAPI-Region
    Contribution
    • Contribution-Contribution
    Data Retriever
    • DataRetriever-Business
    • DataRetriever-Consumer
    • DataRetriever-ConsumerTwo
    • DataRetriever-MAK
    • DataRetriever-NewHomeowners
    • DataRetriever-NewMovers
    Druginator
    • Druginator
    Global Address Verification
    • GlobalAddressVerification
    • GlobalAddressVerification-Geocode
    Global Email
    • GlobalEmail
    • GlobalEmail-Premium
    Global Express Entry
    • GlobalExpressEntry
    • GlobalExpressEntry-Geocode
    Global IP
    • GlobalIP
    Global Name
    • GlobalName
    Global Phone
    • GlobalPhone
    • GlobalPhone-CallerID
    • GlobalPhone-GlobalPremium
    • GlobalPhone-NAPremium
    IP To Consumer
    • IPToConsumer
    LeadGen
    • LeadGen-Business
    • LeadGen-GlobalAddressDatabase
    People Business Search
    • PeopleBusinessSearch
    Personator Consumer
    • PersonatorConsumer
    • PersonatorConsumer-Append
    • PersonatorConsumer-Demographics
    • PersonatorConsumer-GeoCode
    • PersonatorConsumer-GeoPoint
    • PersonatorConsumer-Move
    • PersonatorConsumer-Verify
    Personator Identity
    • PersonatorIdentity
    • PersonatorIdentity-Verify
    • PersonatorIdentity-Watchlist
    Personator Search
    • PersonatorSearch
    Property
    • Property
    • Property-Shapes
    Reverse GeoCoder
    • ReverseGeoCoder
    • ReverseGeoCoder-Geocoder
    SmartMover
    • SmartMover-Canada
    • SmartMover-UnitedStates
    SSN Name Match
    • SSNNameMatch
    Street Route
    • StreetRoute
    Vault
    • Vault
    WebSmart
    • WebSmart-AddressCheck
    • WebSmart-DeliveryIndicator
    • WebSmart-DPV
    • WebSmart-Email
    • WebSmart-Geocode
    • WebSmart-GeoPoint
    • WebSmart-MultipleRecords
    • WebSmart-Name
    • WebSmart-Phone
    • WebSmart-StreetData
    • WebSmart-ZipSearch
    US Business Coder
    • BusinessCoder
    • BusinessCoder-Contacts
    Example:P=PersonatorConsumer-Verify,GlobalAddressVerification
    TSstring

    Token timespan in the HHMM format. The minimum lifespan is 1 minute (0001), maximum is 99 hours (9900). Default is 5 minutes (0005).

    Example:TS=0015
    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""*/*"
    Example:application/json
    Content-Typestringrequired

    Format of the request.

    Enum:"application/json""application/xml"
    GET
    /RequestToken
    curl -i -X GET \
      'https://tokenservice.melissadata.net/v3/json/Service.svc/RequestToken?L=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&P=PersonatorConsumer-Verify%2CGlobalAddressVerification' \
      -H 'Accept: application/json' \
      -H 'Content-Type: application/json'

    Responses

    Token Server Response

    Bodyapplication/json
    Resultstring

    Result codes indicating any errors with the request.

    Tokenstring

    The requested token to be used.

    Response
    { "Result": "", "Token": "computedToken" }